%def_disable test

Name: jtidy
Version: 1.0
Release: alt0.2

Group: Text tools
Summary: HTML syntax checker and pretty printer
License: Freely distributable
Source0: jtidy-r8-SNAPSHOT-src.tar.bz2
Source1: %name.jtidy.script

Url: http://sourceforge.net/projects/jtidy/

BuildPreReq: /proc rpm-build-java
BuildRequires: ant jaxp_parser_impl
BuildRequires: xml-commons-apis >= 1.0-alt0.3.b3
%if_enabled test
BuildRequires: ant-junit junit jakarta-commons-logging
%endif
Requires: jaxp_parser_impl
Requires: xml-commons-apis >= 1.0-alt0.3.b3
BuildArch: noarch

%description
JTidy is a Java port of HTML Tidy, a HTML syntax checker and pretty
printer. Like its non-Java cousin, JTidy can be used as a tool for
cleaning up malformed and faulty HTML. In addition, JTidy provides a DOM
parser for real-world HTML.

%package javadoc
Group: Development/Documentation
Summary: Javadoc for %name
Requires: java-common

%description javadoc
Javadoc for %name.

%package scripts
Summary: Utility scripts for %name
Group: Text tools
Requires: %name = %version-%release

%description scripts
Utility scripts for %name.

%prep
%setup -q -n %name-r8-SNAPSHOT

%if_disabled test
%__subst "s/compile,test/compile/" build.xml
%else
%__mv src/test-resources/* src/test/
%endif

%build
%set_classpath %_javadir/xml-commons-apis.jar
%add_classpath %_javadir/jaxp_parser_impl.jar

%if_enabled test
%add_classpath %_javadir/jakarta-commons-logging.jar
%add_classpath %_javadir/junit.jar
CLASSPATH=%_classpath:target/classes:target/test-classes
%endif

%ant_build -Dnoget=only -Dbuild.sysclasspath=only jar javadoc

%install

%__mkdir_p %buildroot{%_javadir,%_javadocdir/%name,%_bindir}

# jar
%__cp -p target/*.jar %buildroot%_javadir/%name.jar

# javadoc
%__cp -pr dist/docs/api/* %buildroot%_javadocdir/%name

# shell script
%__cp -p %SOURCE1 %buildroot%_bindir/%name

%files
%defattr(0644,root,root,0755)
%doc LICENSE.txt
%_javadir/*

%files javadoc
%defattr(0644,root,root,0755)
%_javadocdir/%name

%files scripts
%defattr(0755,root,root,0755)
%_bindir/*

%changelog
* Sun Jul 03 2005 Vladimir Lettiev <crux@altlinux.ru> 1.0-alt0.2
- remove dirty hack around org.w3c.dom.*
  xml-commons-apis-1.0-alt0.3.b3 now provides necessary classes
- changed rpmgroup of javadoc package

* Mon Apr 25 2005 Vladimir Lettiev <crux@altlinux.ru> 1.0-alt0.1
- Initial build for ALT Linux Sisyphus
- disabled tests

